﻿// <auto-generated />
using System;
using SKE.EventManager.DataBaseContext;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;

#nullable disable

namespace EventManager.DataBaseContext.Migrations
{
    [DbContext(typeof(DataContext))]
    [Migration("20230409071420_init")]
    partial class init
    {
        /// <inheritdoc />
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "7.0.4")
                .HasAnnotation("Relational:MaxIdentifierLength", 63);

            NpgsqlModelBuilderExtensions.UseIdentityByDefaultColumns(modelBuilder);

            modelBuilder.Entity("EventManager.Domain.CategoryEvent", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<int?>("ExternalId")
                        .HasColumnType("integer");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("Slug")
                        .IsRequired()
                        .HasColumnType("text");

                    b.HasKey("Id");

                    b.ToTable("CategoryEvents");
                });

            modelBuilder.Entity("EventManager.Domain.CategoryPlace", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<int?>("ExternalId")
                        .HasColumnType("integer");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("Slug")
                        .IsRequired()
                        .HasColumnType("text");

                    b.HasKey("Id");

                    b.ToTable("CategoryPlaces");
                });

            modelBuilder.Entity("EventManager.Domain.CategoryToEvent", b =>
                {
                    b.Property<Guid>("EventId")
                        .HasColumnType("uuid");

                    b.Property<Guid>("CategoryEventId")
                        .HasColumnType("uuid");

                    b.Property<Guid>("Id")
                        .HasColumnType("uuid");

                    b.HasKey("EventId", "CategoryEventId");

                    b.HasIndex("CategoryEventId");

                    b.ToTable("CategoryToEvent");
                });

            modelBuilder.Entity("EventManager.Domain.CategoryToPlace", b =>
                {
                    b.Property<Guid>("PlaceId")
                        .HasColumnType("uuid");

                    b.Property<Guid>("CategoryPlaceId")
                        .HasColumnType("uuid");

                    b.Property<Guid>("Id")
                        .HasColumnType("uuid");

                    b.HasKey("PlaceId", "CategoryPlaceId");

                    b.HasIndex("CategoryPlaceId");

                    b.ToTable("CategoryToPlace");
                });

            modelBuilder.Entity("EventManager.Domain.City", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<string>("Currency")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("Language")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("Slug")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("Timezone")
                        .IsRequired()
                        .HasColumnType("text");

                    b.HasKey("Id");

                    b.ToTable("Cities");
                });

            modelBuilder.Entity("EventManager.Domain.Coordinate", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<Guid?>("CityId")
                        .HasColumnType("uuid");

                    b.Property<decimal?>("Lat")
                        .HasColumnType("decimal(19, 15)");

                    b.Property<decimal?>("Lon")
                        .HasColumnType("decimal(19, 15)");

                    b.Property<Guid?>("PlaceId")
                        .HasColumnType("uuid");

                    b.HasKey("Id");

                    b.HasIndex("CityId")
                        .IsUnique();

                    b.HasIndex("PlaceId")
                        .IsUnique();

                    b.ToTable("Coordinates");
                });

            modelBuilder.Entity("EventManager.Domain.DatePeriod", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<DateTime>("End")
                        .HasColumnType("timestamp without time zone");

                    b.Property<Guid>("EventId")
                        .HasColumnType("uuid");

                    b.Property<DateTime>("Start")
                        .HasColumnType("timestamp without time zone");

                    b.HasKey("Id");

                    b.HasIndex("EventId");

                    b.ToTable("DatePeriods");
                });

            modelBuilder.Entity("EventManager.Domain.Event", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<string>("AgeRestriction")
                        .HasColumnType("text");

                    b.Property<string>("BodyText")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<int>("CommentsCount")
                        .HasColumnType("integer");

                    b.Property<string>("Description")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<int?>("ExternalId")
                        .HasColumnType("integer");

                    b.Property<int>("FavoritesCount")
                        .HasColumnType("integer");

                    b.Property<bool>("IsFree")
                        .HasColumnType("boolean");

                    b.Property<Guid>("LocationId")
                        .HasColumnType("uuid");

                    b.Property<Guid?>("PlaceId")
                        .HasColumnType("uuid");

                    b.Property<string>("Price")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<DateTime>("PublicationDate")
                        .HasColumnType("timestamp without time zone");

                    b.Property<string>("ShortTitle")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("Slug")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("TagLine")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("Title")
                        .IsRequired()
                        .HasColumnType("text");

                    b.HasKey("Id");

                    b.HasIndex("LocationId");

                    b.HasIndex("PlaceId");

                    b.ToTable("Events");
                });

            modelBuilder.Entity("EventManager.Domain.Genre", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<int?>("ExternalId")
                        .HasColumnType("integer");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("Slug")
                        .IsRequired()
                        .HasColumnType("text");

                    b.HasKey("Id");

                    b.ToTable("Genre");
                });

            modelBuilder.Entity("EventManager.Domain.GenreToMovie", b =>
                {
                    b.Property<Guid>("MovieId")
                        .HasColumnType("uuid");

                    b.Property<Guid>("GenreId")
                        .HasColumnType("uuid");

                    b.Property<Guid>("Id")
                        .HasColumnType("uuid");

                    b.HasKey("MovieId", "GenreId");

                    b.HasIndex("GenreId");

                    b.ToTable("GenreToMovie");
                });

            modelBuilder.Entity("EventManager.Domain.Image", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<Guid?>("EventId")
                        .HasColumnType("uuid");

                    b.Property<string>("ImageUrl")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<Guid?>("MovieId")
                        .HasColumnType("uuid");

                    b.Property<Guid?>("MoviePosterId")
                        .HasColumnType("uuid");

                    b.Property<Guid?>("PlaceId")
                        .HasColumnType("uuid");

                    b.HasKey("Id");

                    b.HasIndex("EventId");

                    b.HasIndex("MovieId");

                    b.HasIndex("MoviePosterId")
                        .IsUnique();

                    b.HasIndex("PlaceId");

                    b.ToTable("Images");
                });

            modelBuilder.Entity("EventManager.Domain.Movie", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<string>("AgeRestriction")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("Awards")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("BodyText")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<decimal>("Budget")
                        .HasColumnType("numeric");

                    b.Property<string>("BudgetCurrency")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<int>("CommentsCount")
                        .HasColumnType("integer");

                    b.Property<string>("Country")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("Description")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("Director")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<int?>("ExternalId")
                        .HasColumnType("integer");

                    b.Property<int>("FavoritesCount")
                        .HasColumnType("integer");

                    b.Property<decimal?>("ImdbRating")
                        .HasColumnType("numeric");

                    b.Property<string>("ImdbUrl")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<bool>("IsEditorsChoice")
                        .HasColumnType("boolean");

                    b.Property<string>("Language")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("Locale")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("MpaaRating")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("OriginalTitle")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<DateTime>("PublicationDate")
                        .HasColumnType("timestamp without time zone");

                    b.Property<int?>("RunningTime")
                        .HasColumnType("integer");

                    b.Property<string>("SiteUrl")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("Slug")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("Stars")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("Title")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("Trailer")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("Url")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("Writer")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<int>("Year")
                        .HasColumnType("integer");

                    b.HasKey("Id");

                    b.ToTable("Movie");
                });

            modelBuilder.Entity("EventManager.Domain.MovieShowings", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<int?>("ExternalId")
                        .HasColumnType("integer");

                    b.Property<bool>("Is3D")
                        .HasColumnType("boolean");

                    b.Property<bool>("Is4D")
                        .HasColumnType("boolean");

                    b.Property<bool>("IsImax")
                        .HasColumnType("boolean");

                    b.Property<Guid>("MovieId")
                        .HasColumnType("uuid");

                    b.Property<bool>("OriginalLanguage")
                        .HasColumnType("boolean");

                    b.Property<Guid>("PlaceId")
                        .HasColumnType("uuid");

                    b.Property<string>("Price")
                        .HasColumnType("text");

                    b.Property<DateTime>("ShowingsDate")
                        .HasColumnType("timestamp without time zone");

                    b.HasKey("Id");

                    b.HasIndex("MovieId");

                    b.HasIndex("PlaceId");

                    b.ToTable("MovieShowings");
                });

            modelBuilder.Entity("EventManager.Domain.Place", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<string>("Address")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("BodyText")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<int>("CommentsCount")
                        .HasColumnType("integer");

                    b.Property<string>("Description")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<int?>("ExternalId")
                        .HasColumnType("integer");

                    b.Property<int>("FavoritesCount")
                        .HasColumnType("integer");

                    b.Property<string>("ForeignUrl")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<bool>("IsClosed")
                        .HasColumnType("boolean");

                    b.Property<bool>("IsStub")
                        .HasColumnType("boolean");

                    b.Property<Guid>("LocationId")
                        .HasColumnType("uuid");

                    b.Property<string>("Phone")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("ShortTitle")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("SiteUrl")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("Slug")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("SubWay")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("TimeTable")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("Title")
                        .IsRequired()
                        .HasColumnType("text");

                    b.HasKey("Id");

                    b.HasIndex("LocationId");

                    b.ToTable("Places");
                });

            modelBuilder.Entity("EventManager.Domain.Source", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<Guid>("ImageId")
                        .HasColumnType("uuid");

                    b.Property<string>("Link")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("text");

                    b.HasKey("Id");

                    b.HasIndex("ImageId")
                        .IsUnique();

                    b.ToTable("Sources");
                });

            modelBuilder.Entity("EventManager.Domain.Tag", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasColumnType("text");

                    b.HasKey("Id");

                    b.ToTable("Tags");
                });

            modelBuilder.Entity("EventManager.Domain.TagToEvent", b =>
                {
                    b.Property<Guid>("EventId")
                        .HasColumnType("uuid");

                    b.Property<Guid>("TagId")
                        .HasColumnType("uuid");

                    b.Property<Guid>("Id")
                        .HasColumnType("uuid");

                    b.HasKey("EventId", "TagId");

                    b.HasIndex("TagId");

                    b.ToTable("TagToEvent");
                });

            modelBuilder.Entity("EventManager.Domain.TagToPlace", b =>
                {
                    b.Property<Guid>("PlaceId")
                        .HasColumnType("uuid");

                    b.Property<Guid>("TagId")
                        .HasColumnType("uuid");

                    b.Property<Guid>("Id")
                        .HasColumnType("uuid");

                    b.HasKey("PlaceId", "TagId");

                    b.HasIndex("TagId");

                    b.ToTable("TagToPlace");
                });

            modelBuilder.Entity("EventManager.Domain.Thumbnail", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uuid");

                    b.Property<Guid?>("ImageId")
                        .HasColumnType("uuid");

                    b.Property<string>("Url144x96")
                        .IsRequired()
                        .HasColumnType("text");

                    b.Property<string>("Url640x384")
                        .IsRequired()
                        .HasColumnType("text");

                    b.HasKey("Id");

                    b.HasIndex("ImageId")
                        .IsUnique();

                    b.ToTable("Thumbnails");
                });

            modelBuilder.Entity("EventManager.Domain.CategoryToEvent", b =>
                {
                    b.HasOne("EventManager.Domain.CategoryEvent", "CategoryEvent")
                        .WithMany("CategoryToEvents")
                        .HasForeignKey("CategoryEventId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("EventManager.Domain.Event", "Event")
                        .WithMany("CategoryToEvents")
                        .HasForeignKey("EventId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("CategoryEvent");

                    b.Navigation("Event");
                });

            modelBuilder.Entity("EventManager.Domain.CategoryToPlace", b =>
                {
                    b.HasOne("EventManager.Domain.CategoryPlace", "CategoryPlace")
                        .WithMany("CategoryToPlaces")
                        .HasForeignKey("CategoryPlaceId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("EventManager.Domain.Place", "Place")
                        .WithMany("CategoryToPlaces")
                        .HasForeignKey("PlaceId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("CategoryPlace");

                    b.Navigation("Place");
                });

            modelBuilder.Entity("EventManager.Domain.Coordinate", b =>
                {
                    b.HasOne("EventManager.Domain.City", "City")
                        .WithOne("Coords")
                        .HasForeignKey("EventManager.Domain.Coordinate", "CityId");

                    b.HasOne("EventManager.Domain.Place", "Place")
                        .WithOne("Coords")
                        .HasForeignKey("EventManager.Domain.Coordinate", "PlaceId");

                    b.Navigation("City");

                    b.Navigation("Place");
                });

            modelBuilder.Entity("EventManager.Domain.DatePeriod", b =>
                {
                    b.HasOne("EventManager.Domain.Event", "Event")
                        .WithMany("Dates")
                        .HasForeignKey("EventId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Event");
                });

            modelBuilder.Entity("EventManager.Domain.Event", b =>
                {
                    b.HasOne("EventManager.Domain.City", "Location")
                        .WithMany("Events")
                        .HasForeignKey("LocationId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("EventManager.Domain.Place", "Place")
                        .WithMany("Events")
                        .HasForeignKey("PlaceId");

                    b.Navigation("Location");

                    b.Navigation("Place");
                });

            modelBuilder.Entity("EventManager.Domain.GenreToMovie", b =>
                {
                    b.HasOne("EventManager.Domain.Genre", "Genre")
                        .WithMany("GenreToMovie")
                        .HasForeignKey("GenreId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("EventManager.Domain.Movie", "Movie")
                        .WithMany("GenreToMovie")
                        .HasForeignKey("MovieId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Genre");

                    b.Navigation("Movie");
                });

            modelBuilder.Entity("EventManager.Domain.Image", b =>
                {
                    b.HasOne("EventManager.Domain.Event", "Event")
                        .WithMany("Images")
                        .HasForeignKey("EventId");

                    b.HasOne("EventManager.Domain.Movie", "Movie")
                        .WithMany("Images")
                        .HasForeignKey("MovieId");

                    b.HasOne("EventManager.Domain.Movie", "MoviePoster")
                        .WithOne("Poster")
                        .HasForeignKey("EventManager.Domain.Image", "MoviePosterId");

                    b.HasOne("EventManager.Domain.Place", "Place")
                        .WithMany("Images")
                        .HasForeignKey("PlaceId");

                    b.Navigation("Event");

                    b.Navigation("Movie");

                    b.Navigation("MoviePoster");

                    b.Navigation("Place");
                });

            modelBuilder.Entity("EventManager.Domain.MovieShowings", b =>
                {
                    b.HasOne("EventManager.Domain.Movie", "Movie")
                        .WithMany("MovieShowings")
                        .HasForeignKey("MovieId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("EventManager.Domain.Place", "Place")
                        .WithMany("MovieShowings")
                        .HasForeignKey("PlaceId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Movie");

                    b.Navigation("Place");
                });

            modelBuilder.Entity("EventManager.Domain.Place", b =>
                {
                    b.HasOne("EventManager.Domain.City", "Location")
                        .WithMany("Places")
                        .HasForeignKey("LocationId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Location");
                });

            modelBuilder.Entity("EventManager.Domain.Source", b =>
                {
                    b.HasOne("EventManager.Domain.Image", "Image")
                        .WithOne("Source")
                        .HasForeignKey("EventManager.Domain.Source", "ImageId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Image");
                });

            modelBuilder.Entity("EventManager.Domain.TagToEvent", b =>
                {
                    b.HasOne("EventManager.Domain.Event", "Event")
                        .WithMany("TagToEvents")
                        .HasForeignKey("EventId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("EventManager.Domain.Tag", "Tag")
                        .WithMany("TagToEvents")
                        .HasForeignKey("TagId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Event");

                    b.Navigation("Tag");
                });

            modelBuilder.Entity("EventManager.Domain.TagToPlace", b =>
                {
                    b.HasOne("EventManager.Domain.Place", "Place")
                        .WithMany("TagToPlaces")
                        .HasForeignKey("PlaceId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("EventManager.Domain.Tag", "Tag")
                        .WithMany("TagToPlaces")
                        .HasForeignKey("TagId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("Place");

                    b.Navigation("Tag");
                });

            modelBuilder.Entity("EventManager.Domain.Thumbnail", b =>
                {
                    b.HasOne("EventManager.Domain.Image", "Image")
                        .WithOne("Thumbnails")
                        .HasForeignKey("EventManager.Domain.Thumbnail", "ImageId");

                    b.Navigation("Image");
                });

            modelBuilder.Entity("EventManager.Domain.CategoryEvent", b =>
                {
                    b.Navigation("CategoryToEvents");
                });

            modelBuilder.Entity("EventManager.Domain.CategoryPlace", b =>
                {
                    b.Navigation("CategoryToPlaces");
                });

            modelBuilder.Entity("EventManager.Domain.City", b =>
                {
                    b.Navigation("Coords")
                        .IsRequired();

                    b.Navigation("Events");

                    b.Navigation("Places");
                });

            modelBuilder.Entity("EventManager.Domain.Event", b =>
                {
                    b.Navigation("CategoryToEvents");

                    b.Navigation("Dates");

                    b.Navigation("Images");

                    b.Navigation("TagToEvents");
                });

            modelBuilder.Entity("EventManager.Domain.Genre", b =>
                {
                    b.Navigation("GenreToMovie");
                });

            modelBuilder.Entity("EventManager.Domain.Image", b =>
                {
                    b.Navigation("Source")
                        .IsRequired();

                    b.Navigation("Thumbnails");
                });

            modelBuilder.Entity("EventManager.Domain.Movie", b =>
                {
                    b.Navigation("GenreToMovie");

                    b.Navigation("Images");

                    b.Navigation("MovieShowings");

                    b.Navigation("Poster")
                        .IsRequired();
                });

            modelBuilder.Entity("EventManager.Domain.Place", b =>
                {
                    b.Navigation("CategoryToPlaces");

                    b.Navigation("Coords")
                        .IsRequired();

                    b.Navigation("Events");

                    b.Navigation("Images");

                    b.Navigation("MovieShowings");

                    b.Navigation("TagToPlaces");
                });

            modelBuilder.Entity("EventManager.Domain.Tag", b =>
                {
                    b.Navigation("TagToEvents");

                    b.Navigation("TagToPlaces");
                });
#pragma warning restore 612, 618
        }
    }
}
